### Property

# AppStream Component:kind

#### Declaration

    property kind: AppStream.ComponentKind [ read, write ]

#### Description [src]

The `AsComponentKind` of this component.

Type:`AsComponentKind`

Default value | AS_COMPONENT_KIND_UNKNOWN
Getter method | `as_component_get_kind()`
Setter method | `as_component_set_kind()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no